# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Net-HTTPTunnel
Version:	0.51
Release:	3.%{__distinit}%{__distvers}
Summary:	Create sockets that are tunnels through an HTTP 1.1 proxy
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Net-HTTPTunnel
Source0:	http://cpan.metacpan.org/authors/id/R/RW/RWAHBY/Net-HTTPTunnel-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(strict)
BuildRequires:	perl(Test)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a module that creates sockets that are tunnels through an HTTP 1.1
proxy that supports the SSL CONNECT method. For more information on this
method, see "Tunneling TCP based protocols through Web proxy servers" by Ari
Luotonen.

%prep
%setup -q -n Net-HTTPTunnel

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%doc draft-luotonen-web-proxy-tunneling-00.txt
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::HTTPTunnel.3*

%changelog
* Wed Apr 25 2018 Paul Howarth <paul@city-fan.org> - 0.51-3
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Sep  9 2016 Paul Howarth <paul@city-fan.org> - 0.51-2
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Tue Aug  6 2013 Paul Howarth <paul@city-fan.org> - 0.51-1
- Initial RPM version
